/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.rss.core.valueobject;

/**
 * blancoRssのためのバリューオブジェクト。トップに位置するバリューオブジェクト。
 */
public class BlancoRssItem {
    /**
     * フィールド [title]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fTitle;

    /**
     * フィールド [link]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fLink;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fDescription;

    /**
     * フィールド [title]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argTitle フィールド[title]に格納したい値
     */
    public void setTitle(final String argTitle) {
        fTitle = argTitle;
    }

    /**
     * フィールド[title]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[title]に格納されている値
     */
    public String getTitle() {
        return fTitle;
    }

    /**
     * フィールド [link]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argLink フィールド[link]に格納したい値
     */
    public void setLink(final String argLink) {
        fLink = argLink;
    }

    /**
     * フィールド[link]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[link]に格納されている値
     */
    public String getLink() {
        return fLink;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.rss.core.valueobject.BlancoRssItem[");
        buf.append("title=" + fTitle);
        buf.append(",link=" + fLink);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
